CC = g++
CPP = $(CC) -E

DEFS = -I/usr/include/ncurses
LIBS = -lncurses

CFLAGS = -O2 -Wall -fomit-frame-pointer -Wstrict-prototypes
LDFLAGS = -s

SRCS = example.cc constream.cc
OBJS = example.o constream.o
BINS = example 

all: example

.cc.o:
	$(CC) -c $(CFLAGS) $(DEFS) -o $@ $<

example: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm *.o	
	rm $(BINS)      

constream.o: constream.cc constream.h
example.o: example.cc constream.h
